Subject: Re: cascaded switch

From: Andrew Lunn <[email-masked]>
Date: Fri, 18 May 2018 22:29:20 +0200

> Hi,
> 
> I mean the same terminology used in marvell's switch.(I don't think
> there is more than one terminology for this, please correct me if
> wrong).
> Anyway, I can see examples how it is done, but I don't understand the
> benefit of this constellation, and why device tree needs to be
> familiar with it.
> 
> <   switch 1  >---port10--------port10- <  switch 2 >
>  | ....|         |                                             | ....|    |
> port 1-9     |                                      port 1-9     |
>                  |                                                        |
>                  |                                                        |
> <cpu>--mdio----------------------------------------------

Your ASCII art is all messed up, but i get what you mean.

This is the D in DSA. You would use this when a single switch does not
have enough ports for your use case. So you use two switches.

You need to tell each switch what links are used to get to other
switches. There is an internal routing table. So you need to describe
these links in device tree.

      Andrew